package com.tztzf.network.callback;

/**
 * ****************************************************************
 * 文件名称 : tztZFEncryptCallBack
 * 作   者 : Created by wlz
 * 创建时间 : 2023/2/6 15:30
 * 文件描述 : 加解密回调
 * 注意事项 :
 * 版权声明 : Copyright (C) 2015-2025 杭州中焯信息技术股份有限公司
 * 修改历史 : 2023/2/6 1.00 初始版本
 * ****************************************************************
 */
public interface tztZFEncryptCallBack {
    /**
     * 加密
     *
     * @param data 原始数据
     * @return 加密数据
     */
    byte[] encrypt(byte[] data);

    /**
     * 解密
     *
     * @param data 加密数据
     * @return 原始数据
     */
    byte[] decrypt(byte[] data);
}
