package com.tztzf.network.callback;

import com.tztzf.baseos.tztZFNonNull;
import com.tztzf.network.tztZFNetWorkRespObj;

/**
 * ****************************************************************
 * 文件名称 : tztZFLinkCallBack
 * 作   者 : Created by yangdl
 * 创建时间 : 202100309 17:06
 * 文件描述 : 注册link回调
 * 注意事项 :
 * 版权声明 : Copyright (C) 2021-2030 杭州中焯信息技术股份有限公司
 * 修改历史 : 202100309 1.00 初始版本
 * ****************************************************************
 */
public interface tztZFLinkCallBack {
    /**
     * 回调
     * @param c_blockType 回调类型
     * @param c_sdkType sdktype
     * @param c_linkType 链接通道类别
     * @param c_respObj 应答数据
     */
    void onHandler(int c_blockType, int c_sdkType, int c_linkType, @tztZFNonNull tztZFNetWorkRespObj c_respObj);
}
