package com.tztzf.network.callback;

import com.tztzf.network.tztZFNetWorkReqObj;
import com.tztzf.network.tztZFNetWorkRespObj;
import com.tztzf.tztZFPrivate;

@tztZFPrivate(name = "内部类，外层禁止使用")
public interface tztZFNetPoolsCallBack {

    /**
     * 单个完成回调
     * @param c_netIndex 序号
     * @param c_netAddress 服务器地址
     * @param c_reqObj 请求
     * @param c_respObj 应答
     * @return 返回值:true:结束 false:继续
     */
    boolean onPools(int c_netIndex,String c_netAddress, tztZFNetWorkReqObj c_reqObj, tztZFNetWorkRespObj c_respObj);

    /**
     * 全部完成回调
     * @param c_netPools 处理数
     * @param c_netAddList 地址列表
     * @param c_reqObj 请求
     * @param c_respObj 应答
     */
    void onFinish(int c_netPools, String c_netAddList, tztZFNetWorkReqObj c_reqObj, tztZFNetWorkRespObj c_respObj);
}