package com.tztzf.network.socket;

/**
 * tztZFThreadPoolGCDAsyncSocket回调接口
 */
interface tztZFThreadPoolGCDAsyncSocketEventsInterface {
    /**
     * 连接成功回调
     *
     * @param socket tztZFThreadPoolGCDAsyncSocket
     */
    public void didConnectToHost(tztZFThreadPoolGCDAsyncSocket socket, String host, int port);//连接成功

    /**
     * 断开连接回调
     *
     * @param socket   tztZFThreadPoolGCDAsyncSocket
     * @param errorNo  错误号
     * @param errorMsg 错误信息
     */
    public void socketDidDisconnect(tztZFThreadPoolGCDAsyncSocket socket, int errorNo, String errorMsg);//连接断开

    //数据
    public int socketReadData(tztZFThreadPoolGCDAsyncSocket socket, byte[] data, int len);
}