package com.tztzf.network;

/**
 * ****************************************************************
 * 文件名称:tztZZQuitTradeEvent.class
 * 作    者:Created by xql
 * 创建时间:2019/5/18 15:07
 * 文件描述:用于发送退出交易的event，目前只返回退出信息
 * 注意事项:
 * 版权声明:Copyright (C) 2015-2025 杭州中焯信息技术股份有限公司
 * 修改历史:2019/5/18 1.00 初始版本
 * ****************************************************************
 */
public class tztZFQuitTradeEvent {
    private String errorMsg;

    /**
     * 构造函数
     * @param errorMsg 错误信息
     */
    public tztZFQuitTradeEvent(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    /**
     * 获取错误信息
     * @return 错误信息
     */
    public String getErrorMsg() {
        return errorMsg;
    }

    /**
     * 设置错误信息
     * @param errorMsg 错误信息
     */
    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
