package com.tztzf.protocol.define;

import static com.tztzf.protocol.define.tztZFCertType.tztZFCertASN1Chain;
import static com.tztzf.protocol.define.tztZFCertType.tztZFCertASN1Data;
import static com.tztzf.protocol.define.tztZFCertType.tztZFCertASN1Data2;
import static com.tztzf.protocol.define.tztZFCertType.tztZFCertPEMChain;
import static com.tztzf.protocol.define.tztZFCertType.tztZFCertPEMData;
import static com.tztzf.protocol.define.tztZFCertType.tztZFCertPEMData1;
import static com.tztzf.protocol.define.tztZFCertType.tztZFCertPEMFile;
import static com.tztzf.protocol.define.tztZFCertType.tztZFCertPEMFile0;

import com.tztzf.baseos.tztZFIntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * tztZFVPNSSL回调类型
 */
@tztZFIntDef({
        tztZFCertPEMFile0,
        tztZFCertPEMData1,
        tztZFCertASN1Data2,
        tztZFCertPEMFile,
        tztZFCertPEMData,
        tztZFCertASN1Data,
        tztZFCertPEMChain,
        tztZFCertASN1Chain
})
@Retention(RetentionPolicy.SOURCE)
public @interface tztZFCertType {
    int tztZFCertPEMFile0 = (0);//初始
    int tztZFCertPEMData1 = (1);//握手
    int tztZFCertASN1Data2 = (2);//写
    int tztZFCertPEMFile = (0x101);//读
    int tztZFCertPEMData = (0x102);//签名
    int tztZFCertASN1Data = (0x202);//写session
    int tztZFCertPEMChain = (0x103);//读session
    int tztZFCertASN1Chain = (0x203);//关闭
}
