package com.tztzf.protocol.define;

import static com.tztzf.protocol.define.tztZFProtocolType.tztZFProtocolType_1975;
import static com.tztzf.protocol.define.tztZFProtocolType.tztZFProtocolType_2013;
import static com.tztzf.protocol.define.tztZFProtocolType.tztZFProtocolType_2016;
import static com.tztzf.protocol.define.tztZFProtocolType.tztZFProtocolType_Non;

import com.tztzf.baseos.tztZFIntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 作者: yangdl 2019.06
 * 用途: 通讯协议分类-同tztZFProtocolType
 * 修改记录如下:
 *
 * @版本号: 1.00.001 2019.06.10
 * 更新说明: 第一版正式发布
 */
@tztZFIntDef({
        tztZFProtocolType_Non,
        tztZFProtocolType_1975,
        tztZFProtocolType_2013,
        tztZFProtocolType_2016
})
@Retention(RetentionPolicy.SOURCE)
public @interface tztZFProtocolType {
    int tztZFProtocolType_Non = (0);   //空，未设置
    int tztZFProtocolType_1975 = (1);   //1975路由协议
    int tztZFProtocolType_2013 = (2);   //2013协议
    int tztZFProtocolType_2016 = (3);   //2016协议
}
