package com.tztzf.recordprocesslog;

import com.tztzf.baseos.tztZFIntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import static com.tztzf.recordprocesslog.tztZFReocordLogType.tztZFReocordLogType_Debug;
import static com.tztzf.recordprocesslog.tztZFReocordLogType.tztZFReocordLogType_Error;

/**
 * ****************************************************************
 * 文件名称 : tztZFReocordLogType
 * 作   者 : Created by wlz
 * 创建时间 : 7/26/23 09:18
 * 文件描述 : 记录类型
 * 注意事项 :
 * 版权声明 : Copyright (C) 2015-2025 杭州中焯信息技术股份有限公司
 * 修改历史 : 7/26/23 1.00 初始版本
 * ****************************************************************
 */
@tztZFIntDef({
        tztZFReocordLogType_Debug,
        tztZFReocordLogType_Error
})

@Retention(RetentionPolicy.SOURCE)
public @interface tztZFReocordLogType {
    int tztZFReocordLogType_Debug = 0;//用户Debug类型
    int tztZFReocordLogType_Error = 1;//通讯错误日志类型
}
