package com.tztzf.network.callback;

import java.util.HashMap;

/**
 * ****************************************************************
 * 文件名称 : tztZFRegisterCallBack
 * 作   者 : Created by yangdl
 * 创建时间 : 202100309 17:06
 * 文件描述 : 通讯证书注册回调
 * 注意事项 :
 * 版权声明 : Copyright (C) 2021-2030 杭州中焯信息技术股份有限公司
 * 修改历史 : 202100309 1.00 初始版本
 * ****************************************************************
 */

public interface tztZFRegisterCallBack {
    /**
     * 注册回调
     * @param c_appID appid
     * @param c_errorNo 注册错误号
     * @param c_options 注册应答信息
     */
    void onHandler(String c_appID, int c_errorNo, HashMap<String, String> c_options);
}
