package com.tztzf.network.socket.Netty;

/**
 * ****************************************************************
 * 文件名称 : tztZFGCDAsyncSocketDelegate
 * 作   者 : Created by yangdl
 * 创建时间 : 20221206
 * 文件描述 : socket-接口
 * 注意事项 :
 * 版权声明 : Copyright (C) 2022-2027 杭州中焯信息技术股份有限公司
 * 修改历史 : 20221206 1.00 初始版本
 * ****************************************************************
 */
public interface tztZFGCDAsyncSocketDelegate {
    //连接成功
    public void didConnectToHost(tztZFGCDAsyncSocket sock, String host, int port);

    //SSL连接成功
    public void didSSLConnectToHost(tztZFGCDAsyncSocket sock, String host, int port);

    //断开连接
    public void socketDidDisconnect(tztZFGCDAsyncSocket sock, int errorno, String errormessage);

    //读取数据
    public void didReadData(tztZFGCDAsyncSocket sock, byte[] data, int len, Object tag);

    //写入数据
    public void didWriteDataWithTag(tztZFGCDAsyncSocket sock, Object tag);
}
